Using Internet Explorer 7 and 8

Versions 7 and 8 of Internet Explorer have limited support in Service Desk and Asset Manager (see the Supported Platforms documentation for details). For the best performance, security, and user experience we strongly recommend that you upgrade to the latest browser versions. However, if you must use these older browsers, we recommend that you use the Google Chrome Frame plug-in for a better user experience.

An offline installer of the Google Chrome Frame plug-in is included as part of the Service Desk and Asset Manager server installation at ..\Program Files\LANDesk\Service Desk\WebApp\WebAccess\Content.

See the Ivanti Community web site for more information.